members.dev
Custom fields

Create Custom Field

Creates a Custom Field Definition

POST
/v1/custom-fields

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/custom-fields" \  -H "Content-Type: application/json" \  -d '{    "entity_type": "user",    "key": "string",    "label": "string",    "field_type": "text"  }'
{
  "id": "string",
  "entity_type": "user",
  "key": "string",
  "label": "string",
  "description": "string",
  "field_type": "text",
  "is_required": true,
  "is_user_editable": true,
  "is_user_visible": true,
  "options": [
    null
  ],
  "is_active": true,
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}